diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..e69de29
diff --git a/90-epel.preset b/90-epel.preset
deleted file mode 100644
index d4d9701..0000000
--- a/90-epel.preset
+++ /dev/null
@@ -1,5 +0,0 @@
-# See https://docs.fedoraproject.org/en-US/packaging-guidelines/DefaultServices/
-# for the Fedora policy. EPEL follows the same policy. The EPEL Steering
-# Committee can approve exceptions to the policy, which will be defined in this
-# file.
-
diff --git a/GPL-2.0-only.txt b/GPL-2.0-only.txt
deleted file mode 100644
index 9efa6fb..0000000
--- a/GPL-2.0-only.txt
+++ /dev/null
@@ -1,338 +0,0 @@
- GNU GENERAL PUBLIC LICENSE
- Version 2, June 1991
-
- Copyright (C) 1989, 1991 Free Software Foundation, Inc.,
-
- Everyone is permitted to copy and distribute verbatim copies
- of this license document, but changing it is not allowed.
-
- Preamble
-
- The licenses for most software are designed to take away your
-freedom to share and change it. By contrast, the GNU General Public
-License is intended to guarantee your freedom to share and change free
-software--to make sure the software is free for all its users. This
-General Public License applies to most of the Free Software
-Foundation's software and to any other program whose authors commit to
-using it. (Some other Free Software Foundation software is covered by
-the GNU Lesser General Public License instead.) You can apply it to
-your programs, too.
-
- When we speak of free software, we are referring to freedom, not
-price. Our General Public Licenses are designed to make sure that you
-have the freedom to distribute copies of free software (and charge for
-this service if you wish), that you receive source code or can get it
-if you want it, that you can change the software or use pieces of it
-in new free programs; and that you know you can do these things.
-
- To protect your rights, we need to make restrictions that forbid
-anyone to deny you these rights or to ask you to surrender the rights.
-These restrictions translate to certain responsibilities for you if you
-distribute copies of the software, or if you modify it.
-
- For example, if you distribute copies of such a program, whether
-gratis or for a fee, you must give the recipients all the rights that
-you have. You must make sure that they, too, receive or can get the
-source code. And you must show them these terms so they know their
-rights.
-
- We protect your rights with two steps: (1) copyright the software, and
-(2) offer you this license which gives you legal permission to copy,
-distribute and/or modify the software.
-
- Also, for each author's protection and ours, we want to make certain
-that everyone understands that there is no warranty for this free
-software. If the software is modified by someone else and passed on, we
-want its recipients to know that what they have is not the original, so
-that any problems introduced by others will not reflect on the original
-authors' reputations.
-
- Finally, any free program is threatened constantly by software
-patents. We wish to avoid the danger that redistributors of a free
-program will individually obtain patent licenses, in effect making the
-program proprietary. To prevent this, we have made it clear that any
-patent must be licensed for everyone's free use or not licensed at all.
-
- The precise terms and conditions for copying, distribution and
-modification follow.
-
- GNU GENERAL PUBLIC LICENSE
- TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
-
- 0. This License applies to any program or other work which contains
-a notice placed by the copyright holder saying it may be distributed
-under the terms of this General Public License. The "Program", below,
-refers to any such program or work, and a "work based on the Program"
-means either the Program or any derivative work under copyright law:
-that is to say, a work containing the Program or a portion of it,
-either verbatim or with modifications and/or translated into another
-language. (Hereinafter, translation is included without limitation in
-the term "modification".) Each licensee is addressed as "you".
-
-Activities other than copying, distribution and modification are not
-covered by this License; they are outside its scope. The act of
-running the Program is not restricted, and the output from the Program
-is covered only if its contents constitute a work based on the
-Program (independent of having been made by running the Program).
-Whether that is true depends on what the Program does.
-
- 1. You may copy and distribute verbatim copies of the Program's
-source code as you receive it, in any medium, provided that you
-conspicuously and appropriately publish on each copy an appropriate
-copyright notice and disclaimer of warranty; keep intact all the
-notices that refer to this License and to the absence of any warranty;
-and give any other recipients of the Program a copy of this License
-along with the Program.
-
-You may charge a fee for the physical act of transferring a copy, and
-you may at your option offer warranty protection in exchange for a fee.
-
- 2. You may modify your copy or copies of the Program or any portion
-of it, thus forming a work based on the Program, and copy and
-distribute such modifications or work under the terms of Section 1
-above, provided that you also meet all of these conditions:
-
- a) You must cause the modified files to carry prominent notices
- stating that you changed the files and the date of any change.
-
- b) You must cause any work that you distribute or publish, that in
- whole or in part contains or is derived from the Program or any
- part thereof, to be licensed as a whole at no charge to all third
- parties under the terms of this License.
-
- c) If the modified program normally reads commands interactively
- when run, you must cause it, when started running for such
- interactive use in the most ordinary way, to print or display an
- announcement including an appropriate copyright notice and a
- notice that there is no warranty (or else, saying that you provide
- a warranty) and that users may redistribute the program under
- these conditions, and telling the user how to view a copy of this
- License. (Exception: if the Program itself is interactive but
- does not normally print such an announcement, your work based on
- the Program is not required to print an announcement.)
-
-These requirements apply to the modified work as a whole. If
-identifiable sections of that work are not derived from the Program,
-and can be reasonably considered independent and separate works in
-themselves, then this License, and its terms, do not apply to those
-sections when you distribute them as separate works. But when you
-distribute the same sections as part of a whole which is a work based
-on the Program, the distribution of the whole must be on the terms of
-this License, whose permissions for other licensees extend to the
-entire whole, and thus to each and every part regardless of who wrote it.
-
-Thus, it is not the intent of this section to claim rights or contest
-your rights to work written entirely by you; rather, the intent is to
-exercise the right to control the distribution of derivative or
-collective works based on the Program.
-
-In addition, mere aggregation of another work not based on the Program
-with the Program (or with a work based on the Program) on a volume of
-a storage or distribution medium does not bring the other work under
-the scope of this License.
-
- 3. You may copy and distribute the Program (or a work based on it,
-under Section 2) in object code or executable form under the terms of
-Sections 1 and 2 above provided that you also do one of the following:
-
- a) Accompany it with the complete corresponding machine-readable
- source code, which must be distributed under the terms of Sections
- 1 and 2 above on a medium customarily used for software interchange; or,
-
- b) Accompany it with a written offer, valid for at least three
- years, to give any third party, for a charge no more than your
- cost of physically performing source distribution, a complete
- machine-readable copy of the corresponding source code, to be
- distributed under the terms of Sections 1 and 2 above on a medium
- customarily used for software interchange; or,
-
- c) Accompany it with the information you received as to the offer
- to distribute corresponding source code. (This alternative is
- allowed only for noncommercial distribution and only if you
- received the program in object code or executable form with such
- an offer, in accord with Subsection b above.)
-
-The source code for a work means the preferred form of the work for
-making modifications to it. For an executable work, complete source
-code means all the source code for all modules it contains, plus any
-associated interface definition files, plus the scripts used to
-control compilation and installation of the executable. However, as a
-special exception, the source code distributed need not include
-anything that is normally distributed (in either source or binary
-form) with the major components (compiler, kernel, and so on) of the
-operating system on which the executable runs, unless that component
-itself accompanies the executable.
-
-If distribution of executable or object code is made by offering
-access to copy from a designated place, then offering equivalent
-access to copy the source code from the same place counts as
-distribution of the source code, even though third parties are not
-compelled to copy the source along with the object code.
-
- 4. You may not copy, modify, sublicense, or distribute the Program
-except as expressly provided under this License. Any attempt
-otherwise to copy, modify, sublicense or distribute the Program is
-void, and will automatically terminate your rights under this License.
-However, parties who have received copies, or rights, from you under
-this License will not have their licenses terminated so long as such
-parties remain in full compliance.
-
- 5. You are not required to accept this License, since you have not
-signed it. However, nothing else grants you permission to modify or
-distribute the Program or its derivative works. These actions are
-prohibited by law if you do not accept this License. Therefore, by
-modifying or distributing the Program (or any work based on the
-Program), you indicate your acceptance of this License to do so, and
-all its terms and conditions for copying, distributing or modifying
-the Program or works based on it.
-
- 6. Each time you redistribute the Program (or any work based on the
-Program), the recipient automatically receives a license from the
-original licensor to copy, distribute or modify the Program subject to
-these terms and conditions. You may not impose any further
-restrictions on the recipients' exercise of the rights granted herein.
-You are not responsible for enforcing compliance by third parties to
-this License.
-
- 7. If, as a consequence of a court judgment or allegation of patent
-infringement or for any other reason (not limited to patent issues),
-conditions are imposed on you (whether by court order, agreement or
-otherwise) that contradict the conditions of this License, they do not
-excuse you from the conditions of this License. If you cannot
-distribute so as to satisfy simultaneously your obligations under this
-License and any other pertinent obligations, then as a consequence you
-may not distribute the Program at all. For example, if a patent
-license would not permit royalty-free redistribution of the Program by
-all those who receive copies directly or indirectly through you, then
-the only way you could satisfy both it and this License would be to
-refrain entirely from distribution of the Program.
-
-If any portion of this section is held invalid or unenforceable under
-any particular circumstance, the balance of the section is intended to
-apply and the section as a whole is intended to apply in other
-circumstances.
-
-It is not the purpose of this section to induce you to infringe any
-patents or other property right claims or to contest validity of any
-such claims; this section has the sole purpose of protecting the
-integrity of the free software distribution system, which is
-implemented by public license practices. Many people have made
-generous contributions to the wide range of software distributed
-through that system in reliance on consistent application of that
-system; it is up to the author/donor to decide if he or she is willing
-to distribute software through any other system and a licensee cannot
-impose that choice.
-
-This section is intended to make thoroughly clear what is believed to
-be a consequence of the rest of this License.
-
- 8. If the distribution and/or use of the Program is restricted in
-certain countries either by patents or by copyrighted interfaces, the
-original copyright holder who places the Program under this License
-may add an explicit geographical distribution limitation excluding
-those countries, so that distribution is permitted only in or among
-countries not thus excluded. In such case, this License incorporates
-the limitation as if written in the body of this License.
-
- 9. The Free Software Foundation may publish revised and/or new versions
-of the General Public License from time to time. Such new versions will
-be similar in spirit to the present version, but may differ in detail to
-address new problems or concerns.
-
-Each version is given a distinguishing version number. If the Program
-specifies a version number of this License which applies to it and "any
-later version", you have the option of following the terms and conditions
-either of that version or of any later version published by the Free
-Software Foundation. If the Program does not specify a version number of
-this License, you may choose any version ever published by the Free Software
-Foundation.
-
- 10. If you wish to incorporate parts of the Program into other free
-programs whose distribution conditions are different, write to the author
-to ask for permission. For software which is copyrighted by the Free
-Software Foundation, write to the Free Software Foundation; we sometimes
-make exceptions for this. Our decision will be guided by the two goals
-of preserving the free status of all derivatives of our free software and
-of promoting the sharing and reuse of software generally.
-
- NO WARRANTY
-
- 11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
-FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN
-OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
-PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
-OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS
-TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE
-PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
-REPAIR OR CORRECTION.
-
- 12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
-WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
-REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
-INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
-OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
-TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
-YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
-PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
-POSSIBILITY OF SUCH DAMAGES.
-
- END OF TERMS AND CONDITIONS
-
- How to Apply These Terms to Your New Programs
-
- If you develop a new program, and you want it to be of the greatest
-possible use to the public, the best way to achieve this is to make it
-free software which everyone can redistribute and change under these terms.
-
- To do so, attach the following notices to the program. It is safest
-to attach them to the start of each source file to most effectively
-convey the exclusion of warranty; and each file should have at least
-the "copyright" line and a pointer to where the full notice is found.
-
-
- Copyright (C)
-
- This program is free software; you can redistribute it and/or modify
- it under the terms of the GNU General Public License as published by
- the Free Software Foundation; either version 2 of the License, or
- (at your option) any later version.
-
- This program is distributed in the hope that it will be useful,
- but WITHOUT ANY WARRANTY; without even the implied warranty of
- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
- GNU General Public License for more details.
-
- You should have received a copy of the GNU General Public License along
- with this program; if not, see .
-
-Also add information on how to contact you by electronic and paper mail.
-
-If the program is interactive, make it output a short notice like this
-when it starts in an interactive mode:
-
- Gnomovision version 69, Copyright (C) year name of author
- Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
- This is free software, and you are welcome to redistribute it
- under certain conditions; type `show c' for details.
-
-The hypothetical commands `show w' and `show c' should show the appropriate
-parts of the General Public License. Of course, the commands you use may
-be called something other than `show w' and `show c'; they could even be
-mouse-clicks or menu items--whatever suits your program.
-
-You should also get your employer (if you work as a programmer) or your
-school, if any, to sign a "copyright disclaimer" for the program, if
-necessary. Here is a sample; alter the names:
-
- Yoyodyne, Inc., hereby disclaims all copyright interest in the program
- `Gnomovision' (which makes passes at compilers) written by James Hacker.
-
- , 1 April 1989
- Moe Ghoul, President of Vice
-
-This General Public License does not permit incorporating your program into
-proprietary programs. If your program is a subroutine library, you may
-consider it more useful to permit linking proprietary applications with the
-library. If this is what you want to do, use the GNU Lesser General
-Public License instead of this License.
diff --git a/RPM-GPG-KEY-EPEL-10 b/RPM-GPG-KEY-EPEL-10
deleted file mode 100644
index adf4f88..0000000
--- a/RPM-GPG-KEY-EPEL-10
+++ /dev/null
@@ -1,29 +0,0 @@
------BEGIN PGP PUBLIC KEY BLOCK-----
-
-mQINBGV4X6kBEAC3eQxgiWuo08uc3mHo4ELux++uqTnYz/tJzEf9Ou3h36WnhumA
-Nvs+Ts5h8PBx879Y9/aIX1Z20p1kf6tBCinZnEJu59n+TAAsph0+XQlV1l5YkleK
-Z2ff/Fg65k8QcLXWaIGykA/FaKznRiSurGuD6tRGhJw7DawEwBJr8QZSkRUpnH1L
-URW97Q/iKrRPiE5VEayE0y8eAL28jIIiFvR+4oJMzvCsRRB/2wYZ2MlJOW91hcYf
-mbUoXKOBD5UzsJylu7kj25K/ge8rEJ7KicOOwcdYddxsU3DxGSSfwF8AMagENcm2
-XROeXknjm84A8sNlUkFZBJwfuc7eRTiZGJrnQQVYLrkKj8Mxpq9Ts7hU51TqAWNI
-uvGDlJdYNE3D2RMqjMEsZ8ej08Thrib6xslu4NzTBkt+6QNnXL4E3hEgYtoyio60
-GswSz2ulogKg7X4JrNdJYE8/qNowyF3hoVgj5TG1/wQRq+5HlMMOLjgGu9wzLUix
-fnVfEUnzaofbrUf4/GabCaeY8xRe4tFQrvzigQ4g+kgwKKnfAeqBmPov0yljkw9z
-BYJWR5zvaw0ffg9Ing00KUSaXBXA5jSlgk1603Y+LefY1SlXsTyqohiRvGH6FI77
-HNMo72DwoJfFcYjncZUzKgXWJECR4nhVsdj6pKoOjcQ4aSuyVxtsR86ASQARAQAB
-tChGZWRvcmEgKGVwZWwxMCkgPGVwZWxAZmVkb3JhcHJvamVjdC5vcmc+iQJOBBMB
-CAA4FiEEfY0Vy/xOYmiFkfsmM9mFF+N+0VgFAmV4X6kCGw8FCwkIBwIGFQoJCAsC
-BBYCAwECHgECF4AACgkQM9mFF+N+0Vhv/A/+PlhPLSctGRCUEahE+cN4764Acc3p
-l40ZYzXRhqR0/Tc1/cSDjlA3qVTc8SPohi5OJXwCyr9EiMqKoyoDN097euqbYpyp
-yN/Pj0lBjsXwcpdDtZ21WGeQU0Khb04N68bMtJbDaxeBciTvDDQravZuPPh0m4Rg
-Z6myEoa6Aa6EK0hI1Qwi1qIWeRiuEkVT671IaKVETBW5XiUpNBXDAB/L+6DzUF9u
-scBzfsUDiPO6NrpYDtV3jwq22y6gWluIct/Ka8brwPbqK2sBfFzrHboRhfqlTGjs
-7F9qUGwIQZn/A8iozXZYQ0+JG1bhQyvjA8eN1GOcRpT+O7H7JXN49o6IG2As4+iK
-F04+qjqAu2sVfpD8mzM2VubFNllcKKiyCzRYHhSbObRCPzsudDL9GPiXeGGaCuWg
-sDkiA1MESvf2tLETAGBs/TziO4GwmXUtlKbRiq1FYm90mVq9mBxPZ/Idn+yZusNB
-0O5SXIbI8lYZw5n4XTK4b+byHRBYsOTHiTsGvjTF2Y7oSwW2CVUmL6RZ23mI4qoY
-1p5kzRS+GjT1acnTei/FTsOlIKCsjfeHx7uxCkX6xpAD8P3UtLQqfsgH0CL4vSZt
-TGO6L1InQlp4ZG3OYIomTKbD3/R0wod3U3dTqdulQMXL895u6OLTY3spY2m2MO2k
-p9Dfd2pKuxK9Mys=
-=mhQZ
------END PGP PUBLIC KEY BLOCK-----
diff --git a/crb b/crb
deleted file mode 100755
index dfdd88f..0000000
--- a/crb
+++ /dev/null
@@ -1,99 +0,0 @@
-#!/bin/bash
-#
-# Enable / Disable / Status the codeready-builder(CRB) or equivalent repo.
-#
-# Copyright (C) 2024
-# SPDX-License-Identifier: GPL-2.0-only
-#
-# Authors:
-# Troy Dawson
-#
-
-
-###############
-# Show help
-###############
-usage() {
- echo "Usage `basename $0` [ enable | disable | status ] " >&2
- echo >&2
- echo "Enable, Disable, or give the status of the CodeReady Builder (CRB) repo" >&2
- echo >&2
- echo "Options:" >&2
- echo " enable" >&2
- echo " Enable the CRB repo" >&2
- echo " disable" >&2
- echo " Disable the CRB repo" >&2
- echo " status" >&2
- echo " Show if the CRB repo is enabled or disabled" >&2
- echo " help" >&2
- echo " Show this options menu" >&2
- echo >&2
- echo "Environment Variable:" >&2
- echo " FORCE_DNF=1 Set this before the command to force the use of" >&2
- echo " 'dnf config-manager' even on RHEL systems." >&2
- echo " Example: FORCE_DNF=1 $(basename "$0") enable" >&2
- echo >&2
- popd &>/dev/null
- exit 1
-}
-
-
-# Show the status
-show_status()(
- # Determine if a version of CRB is enabled
- crb_repo=$(dnf repolist | grep -i -e crb -e powertools -e codeready | grep -v -i -e debug -e source -e eus -e virt -e rhui | awk '{print $1}')
- if [ "${crb_repo}" == "" ] ; then
- echo "CRB repo is disabled"
- else
- echo "CRB repo is enabled and named: ${crb_repo}"
- fi
-)
-
-# Enable or Disable the repo
-enable_disable_repo(){
- command="$1"
- # Determine which repo we need to change
- crb_repo=$(dnf repolist --all | grep -i -e crb -e powertools -e codeready | grep -v -i -e debug -e source -e eus -e virt -e rhui | awk '{print $1}')
-
- # Determine if we are on RHEL or not, then do the correct steps
- source /etc/os-release
- if [[ "${FORCE_DNF:-0}" -eq 0 && "${NAME}" =~ "Red Hat" ]] ; then
- subscription-manager repos ${command} ${crb_repo}
- else
- # Determine if dnf-command(config-manager) is installed
- if ! rpm -q --whatprovides 'dnf-command(config-manager)' > /dev/null 2>&1 ; then
- echo "Error: Please run: dnf install 'dnf-command(config-manager)'" >&2
- echo " before trying to enable/disable the CRB repo." >&2
- echo "Aborting"'!' >&2
- exit 1
- fi
- # Everything else uses dnf config-manager
- dnf config-manager ${command} ${crb_repo}
- fi
-}
-
-###############
-# Get our arguments
-###############
-key="$1"
-case $key in
-enable | --enable )
- echo "Enabling CRB repo"
- enable_disable_repo --enable
- show_status
-;;
-disable | --disable )
- echo "Disabling CRB repo"
- enable_disable_repo --disable
- show_status
-;;
-status | --status )
- show_status
-;;
-* )
- usage
- exit 2
-;;
-esac
-
-exit 0
diff --git a/dead.package b/dead.package
new file mode 100644
index 0000000..3974481
--- /dev/null
+++ b/dead.package
@@ -0,0 +1 @@
+epel-release does not need to be in devel branch. Is obviously only used for EPEL and not rawhide.
diff --git a/epel-release.spec b/epel-release.spec
index a866f61..ec0b31f 100644
--- a/epel-release.spec
+++ b/epel-release.spec
@@ -1,91 +1,91 @@
-Name: epel-release
-Version: 10
-Release: %autorelease
+Name: epel-release
+Version: 6
+Release: 2
Summary: Extra Packages for Enterprise Linux repository configuration
-# Most things in this package are not considered copyrightable. If that were
-# true for everything in the package, the license identifier would be
-# LicenseRef-Not-Copyrightable. However, the exception is the crb script,
-# which is GPL-2.0-only. Per advice from Fedora Legal, we should use
-# GPL-2.0-only as the license identifier for the package in this scenario.
-# https://bugzilla.redhat.com/show_bug.cgi?id=2302438
-License: GPL-2.0-only
-BuildArch: noarch
-URL: https://epel.io
-# keys
-Source10: https://download.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL-%{version}
+Group: System Environment/Base
+License: GPLv2
-# repo configs
-Source20: epel.repo
-Source21: epel-testing.repo
+# This is a Red Hat maintained package which is specific to
+# our distribution. Thus the source is only available from
+# within this srpm.
+URL: http://download.fedora.redhat.com/pub/epel
+Source0: http://download.fedora.redhat.com/pub/epel/RPM-GPG-KEY-EPEL
+Source1: GPL
+Source2: epel.repo
+Source3: epel-testing.repo
-# preset policy
-Source30: 90-epel.preset
-
-# Add epel crb script
-Source31: crb
-# epel crb script is licensed GPL-2.0-only
-Source32: GPL-2.0-only.txt
-
-# The setup process for EPEL involves installing epel-release before the EPEL
-# repository is available. For this to continue to work correctly, all
-# dependencies of this package must be available from the default repositories.
-# Notably, if weak dependencies of this package are not present at the time of
-# installation, they will be skipped and never get installed.
-# https://pagure.io/epel/issue/328
-
-# This should only be installed on Enterprise Linux with the same major version
-Requires: (redhat-release >= %{version} with redhat-release < %[%{version} + 1])
-
-# crb needs config-manager to run
-# But only recommend it, incase people do not need crb
-Recommends: dnf-command(config-manager)
-
-# SELinux policy modules related to EPEL
-Recommends: (selinux-policy-extra if selinux-policy)
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+BuildArch: noarch
+Requires: redhat-release >= %{version}
%description
This package contains the Extra Packages for Enterprise Linux (EPEL) repository
-configuration and GPG key.
+GPG key as well as configuration for yum and up2date.
%prep
-%setup -q -c -T
-# Add epel crb script license
-install -pm 644 %{SOURCE32} .
+%setup -q -c -T
+install -pm 644 %{SOURCE0} .
+install -pm 644 %{SOURCE1} .
+
+%build
%install
-# keys
-install -Dp -m 0644 -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg %{S:10}
+rm -rf $RPM_BUILD_ROOT
-# repo configs
-install -Dp -m 0644 -t %{buildroot}%{_sysconfdir}/yum.repos.d %{S:20} %{S:21}
+#GPG Key
+install -Dpm 644 %{SOURCE0} \
+ $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPEL
-# preset policy
-install -Dp -m 0644 -t %{buildroot}%{_prefix}/lib/systemd/system-preset %{S:30}
-
-# Add epel crb script
-install -D -pm744 -t %{buildroot}%{_bindir} %{SOURCE31}
+# yum
+install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
+install -pm 644 %{SOURCE2} %{SOURCE3} \
+ $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
+%clean
+rm -rf $RPM_BUILD_ROOT
%post
-# Doing a check to see if crb is enabled is as hard and resource intense as enabling or disabling crb.
-# So we will say crb is recommended, without first checking. But only on the initial install.
-if [ "$1" -eq 1 ] ; then
- echo "Many EPEL packages require the CodeReady Builder (CRB) repository."
- echo "It is recommended that you run %{_bindir}/crb enable to enable the CRB repository."
-fi
+echo "# epel repo -- added by epel-release " \
+ >> %{_sysconfdir}/sysconfig/rhn/sources
+echo "yum epel http://download.fedora.redhat.com/pub/epel/%{version}/\$ARCH" \
+ >> %{_sysconfdir}/sysconfig/rhn/sources
+
+%postun
+sed -i '/^yum\ epel/d' %{_sysconfdir}/sysconfig/rhn/sources
+sed -i '/^\#\ epel\ repo\ /d' %{_sysconfdir}/sysconfig/rhn/sources
%files
-%license GPL-2.0-only.txt
-%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPEL-%{version}
-%config(noreplace) %{_sysconfdir}/yum.repos.d/epel.repo
-%config(noreplace) %{_sysconfdir}/yum.repos.d/epel-testing.repo
-%{_prefix}/lib/systemd/system-preset/90-epel.preset
-%{_bindir}/crb
+%defattr(-,root,root,-)
+%doc GPL
+%config(noreplace) /etc/yum.repos.d/*
+/etc/pki/rpm-gpg/*
%changelog
-%autochangelog
+* Tue Feb 24 2009 Fedora Release Engineering - 6-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
+
+* Thu Jul 17 2008 Tom "spot" Callaway - 6.1
+- fix license tag
+
+* Sun Mar 25 2007 Michael Stahnke - 6-0
+- Bumped in devel to RHEL 6. (We can dream).
+
+* Sun Mar 25 2007 Michael Stahnke - 4-4
+- Changed description again
+
+* Sun Mar 25 2007 Michael Stahnke - 4-3
+- Removed cp in postun
+- Removed the file epel-release - provides no value
+- Removed dist tag as per review bug #233236
+- Changed description
+
+* Mon Mar 14 2007 Michael Stahnke - 4-2
+- Fixed up2date issues.
+
+* Mon Mar 12 2007 Michael Stahnke - 4-1
+- Initial Package
diff --git a/epel-testing.repo b/epel-testing.repo
deleted file mode 100644
index 8335438..0000000
--- a/epel-testing.repo
+++ /dev/null
@@ -1,36 +0,0 @@
-[epel-testing]
-name=Extra Packages for Enterprise Linux $releasever - Testing - $basearch
-# It is much more secure to use the metalink, but if you wish to use a local mirror
-# place its address here.
-#baseurl=https://download.example/pub/epel/testing/$releasever${releasever_minor:+z}/Everything/$basearch/
-metalink=https://mirrors.fedoraproject.org/metalink?repo=epel${releasever_minor:+-z}-testing-$releasever&arch=$basearch
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-$releasever_major
-gpgcheck=1
-repo_gpgcheck=0
-metadata_expire=24h
-countme=1
-enabled=0
-
-[epel-testing-debuginfo]
-name=Extra Packages for Enterprise Linux $releasever - Testing - $basearch - Debug
-# It is much more secure to use the metalink, but if you wish to use a local mirror
-# place its address here.
-#baseurl=https://download.example/pub/epel/testing/$releasever${releasever_minor:+z}/Everything/$basearch/debug/
-metalink=https://mirrors.fedoraproject.org/metalink?repo=epel${releasever_minor:+-z}-testing-debug-$releasever&arch=$basearch
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-$releasever_major
-gpgcheck=1
-repo_gpgcheck=0
-metadata_expire=24h
-enabled=0
-
-[epel-testing-source]
-name=Extra Packages for Enterprise Linux $releasever - Testing - $basearch - Source
-# It is much more secure to use the metalink, but if you wish to use a local mirror
-# place its address here.
-#baseurl=https://download.example/pub/epel/testing/$releasever${releasever_minor:+z}/Everything/source/tree/
-metalink=https://mirrors.fedoraproject.org/metalink?repo=epel${releasever_minor:+-z}-testing-source-$releasever&arch=source
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-$releasever_major
-gpgcheck=1
-repo_gpgcheck=0
-metadata_expire=24h
-enabled=0
diff --git a/epel.repo b/epel.repo
deleted file mode 100644
index f186dbd..0000000
--- a/epel.repo
+++ /dev/null
@@ -1,36 +0,0 @@
-[epel]
-name=Extra Packages for Enterprise Linux $releasever - $basearch
-# It is much more secure to use the metalink, but if you wish to use a local mirror
-# place its address here.
-#baseurl=https://download.example/pub/epel/$releasever${releasever_minor:+z}/Everything/$basearch/
-metalink=https://mirrors.fedoraproject.org/metalink?repo=epel${releasever_minor:+-z}-$releasever&arch=$basearch
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-$releasever_major
-gpgcheck=1
-repo_gpgcheck=0
-metadata_expire=24h
-countme=1
-enabled=1
-
-[epel-debuginfo]
-name=Extra Packages for Enterprise Linux $releasever - $basearch - Debug
-# It is much more secure to use the metalink, but if you wish to use a local mirror
-# place its address here.
-#baseurl=https://download.example/pub/epel/$releasever${releasever_minor:+z}/Everything/$basearch/debug/
-metalink=https://mirrors.fedoraproject.org/metalink?repo=epel${releasever_minor:+-z}-debug-$releasever&arch=$basearch
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-$releasever_major
-gpgcheck=1
-repo_gpgcheck=0
-metadata_expire=24h
-enabled=0
-
-[epel-source]
-name=Extra Packages for Enterprise Linux $releasever - $basearch - Source
-# It is much more secure to use the metalink, but if you wish to use a local mirror
-# place its address here.
-#baseurl=https://download.example/pub/epel/$releasever${releasever_minor:+z}/Everything/source/tree/
-metalink=https://mirrors.fedoraproject.org/metalink?repo=epel${releasever_minor:+-z}-source-$releasever&arch=source
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-$releasever_major
-gpgcheck=1
-repo_gpgcheck=0
-metadata_expire=24h
-enabled=0
diff --git a/sources b/sources
new file mode 100644
index 0000000..e69de29